Welcome

Thank you for trying Church Attendance Tracking (CAT) to record and track your church attendance. I hope you find it useful. If you have Servant Keeper 6, you should use the companion program SK6 Reports which provides the same weekly attendance report but uses the Servant Keeper 6 files. SK6 Reports queries the appropriate Servant Keeper 6 files and creates a temporary database for the report. The Servant Keeper 6 files are not altered in any way.

Licensing

This software is free -- truly free. You may use it without any restrictions and may share it with others. If you wish to modify it, I will gladly provide the source code and wish you well. The only restrictions are

  • that you clearly indicate where you have modified the program;
  • give credit or blame where it is due;
  • abide by United States and International copyright laws regarding copyrighted materials.

By using this software you agree that it is provided on an "as is" basis without any warranty whatsoever. You assume all responsibility for determining its usefulness and suitability for your purposes. You are solely responsible for any and all damages which may arise from the use of this software.

Manual

This help file is the only manual.

Feedback

You may send feedback about the program via email to rkulp@charter.net . Please report all bugs and desired enhancements. I will attempt to fix the bugs and will consider the enhancements.


First Use

The first time you run Church Attendance Tracking (CAT) the program asks you for information about your congregation, city, state, zip and the location of the database file on the following screen:

Unless there is a pressing reason, you should use the default location for the database file as it is the Microsoft standard location for program data. The name, city, state and zip code can be changed later on the preferences screen.


Weekly Attendance

Most of the program functions are accomplished on this one form. The tabs at the top are for entering attendance, entering member information, reporting member attendance and maintaining the database. The attendance tab is selected on the form below:

The left side of the screen contains a tree view of the active families. In this case, Adam and Eve Smith are the only members in the congregation. Attendance is set by checking the boxes beside each member's name The right side shows the steps in recording attendance.

Step 1: Select the Service Date

This box shows the latest date that attendance has been recorded and has a place to select the date of the service. You can manually enter the date or click the arrow to select the date from a calendar.

Step 2: Check Boxes of Attendees

The tree view of active families is initially displayed according to the preference set in the preferences screen. In this case, all the nodes were expanded and the left button at the bottom of the tree view indicates you can collapse all the nodes by clicking the button. Clicking the "+" sign to the left of a family name expands just that family and clicking the "-" sign by the family name collapses the family.

Also, the nodes are initially unchecked. You can click in the box beside a member's name to check the box indicating the member was present. Alternatively, you can click the right button at the bottom of the tree view to check all nodes and then uncheck the nodes for the members that were absent.

You can click on the family name to select all the members of the family. Unchecking a family makes all the members absent. If some of the members are present and some are absent, then click the "+" sign to the left of the family name to expand the family and then click the members who are present. Alternatively, you could select the entire family and then uncheck the absent member or members.

Step 3: Process Weekly Attendance

Click the "Process Weekly Attendance" button to insert the attendance records and update the member's record to indicate the last date attended. This date is used to create the weekly attendance report.

Step 4: Print Attendance Report

There are two print buttons. The "Windows Print" button prints the report to any connected Windows printer. If you have set the "Use Print Preview" preference to "True" on the preferences screen, then you will see the report on your monitor. You can choose to print it or close the print preview.

If Microsoft Word is installed, you can click the "Create Word Document" to open Word and automatically create the weekly attendance report. The Word document has an extra table at the bottom where you can manually enter visitors.

Save Options

The red "End Without Saving" button is for ending the program without saving any of the updates. If you click this button, you will get a warning. Selecting "Yes" will close the program without any of the database changes being saved.

Pressing the green "Save and End" button will save the database changes and close the program.


Membership

The following screen shows the membership tab:

Family Section

Select the family you want to maintain by selecting it in the drop down list to the right of the "Select Family" label. Simply click the arrow and click on the family name. You must first click the "Edit Family" button to make changes in the family information. You cannot edit the FamilyID. Click "Save" to save the changes and "Cancel" to cancel editing.

Adding a Family

When "Add Family" is clicked, the text boxes are cleared so you can enter the information for the new family. Be sure the "Active" check box is checked. If a default city, state and zip is set on the first use or on the preferences screen, they are automatically entered for you. You should enter a beginning date, if known, and should leave the end date blank. Click "Save" to save the new member or "Cancel" to cancel adding the new member.

Member Section

Each of the members of the family are listed in the grid below the family section. You can edit information directly in the grid. A family member is selected by clicking anywhere in the member's row. You can add a new family member by entering the information directly into the last row of the grid (the one with the asterisk) or by clicking the "Add Member" button to get a more convenient form for entering the member data. Click "Save Member Data" on the Member tab to save edited member data.

Using the "Add Member" option is greatly preferred. If you have chosen to use the telephone and last name for entering family members, those values will be entered for you if you choose to " Add Another" family member.

Attendance History

When a family member is selected, his or her attendance history is displayed in the bottom grid. You can click the header of a column to sort the column. You can edit attendance information directly in the grid. When you are finished editing, click the "Update Attendance" button to save the changes.


Roster and Reports

This is where you can print a roster for checking attendance or a blank roster. Select the date to be printed on the roster and enter or select the activity title to be printed on the roster. Click "Windows Print" to print a roster for that service date. If you want a blank roster, select the "Blank Roster" option before printing.

At this time there is only one report available. It lists "Present" or "Absent" for each member for all the service dates in the selected date range. There is a maximum of five family members on a single page. If a family has more than five members, you need to select five at a time until you have selected all the members you want.

If you want to report the attendance for all the families and members, you can simply check the "Report Attendance For All Families and Members" checkbox.

You can report for the last calendar year, the current year to date or for a custom time period by selecting one of these options. You must manually select the beginning and ending dates for a custom time period.

Select "Windows Print" or "Create Word Document", as appropriate.


Database Maintenance

Maintenance is performed on the following screen:

Special Conditions

The top group is for the special conditions. The database comes with None, College, Deceased, Military, Mission and Shut-in. You can add or delete special conditions, as desired, directly in the grid. Be sure to click the "Save" button to save the changes or the "Cancel" button to cancel the changes.

Deleting Attendance Records

Eventually the database will get large and you will need to delete old records. Each member generates 52 records a year. The program allows you to delete attendance records by year group, beginning with the records ten years old up to the previous year. Simply select the last year you want to delete and click "Delete Records Through Selected Year" to delete all the records up through the last record for the selected year.

Clean/Compress Database

Deleting records does not recover empty space. You must click the "Clean/Compress" button to remove all the blank records interspersed within the database. The amount of space saved can be substantial. This process should be done annually. The initial and final sizes are presented for your information.

Moving a Family Member to Another Family

Sometimes it is necessary to move a member from one family to another (marriage, moving out of parent's home, etc.). This is done by accomplishing the following steps in order:

  • Ensure the gaining family is in the database. If not, then go to the membership tab and create the family.
  • Select the family and member from the two drop down boxes on the left.
  • Select the gaining family from the drop down box on the right.
  • Click "Move Family Member"

If the member's last name has changed, you will need to go to the membership tab and change it there.


Setting Preferences

You should set whether or not you want to use print preview, the title of your weekly attendance report, the default city, state, and zip code in the preferences screen. You get to that screen by clicking File > Preferences on the menu bar.

Enter or change the preferred value on the preferences screen and click "OK" or "Cancel" to cancel the changes. A brief description or instruction appears in the lower section of the screen for each of the preferences as you enter the item.